#INCLUDE <hmg.ch>
#INCLUDE <hbver.ch>
#INCLUDE <ord.ch>
#INCLUDE <pss.ch>

PROCEDURE Pending_By_Customer
	PRIVATE Lb_Access_Ok := .F.
	PRIVATE LsCustomerCode := "", LnCustomerID := 0
	LOAD WINDOW Frm_Pending_By_Customer
	END WINDOW
	CENTER WINDOW Frm_Pending_By_Customer
	ACTIVATE WINDOW Frm_Pending_By_Customer

	PROCEDURE Switch_Pending_By_Customer
		Frm_Pending_By_Customer.Txt_Customer_Name.Value := ""
		Frm_Pending_By_Customer.Btn_SearchCustomer.SetFocus
	RETURN
	
	PROCEDURE Get_Customer
		GsData1 := GsData2 := ""
		GnData1 := 0
		Show_Customer()
		Frm_Pending_By_Customer.Txt_Customer_Name.Value := GsData1
		LsCustomerCode := GsData2
		LsCustomerId := GnData1
	RETURN
	
	PROCEDURE Print_Pending_Tracking_Customer
		
		IF EMPTY(Frm_Pending_By_Customer.Txt_Customer_Name.Value)
			MsgExclamation("No has seleccionado un cliente, hazlo ahora.")
			Frm_Pending_By_Customer.Btn_SearchCustomer.SetFocus
			RETURN
		ELSE
			LsDocName := "&GsData1"+".pdf"
			SELECT HPDFDOC LsDocName PAPERLENGTH 300 PAPERWIDTH 300 LOG
			LnLineRow :=  50
			LnLineCol :=  25
			LnMaxPRow := 250
			LnMaxPCol := 210
			LnLineSpc :=   5
			LnPageNo  :=   0

			START HPDFDOC
				 START HPDFPAGE
					IF LnPageNo = 0 .OR. LnLineCol <= LnMaxPRow
						LnPageNo++ 
						@ 010 , 010 HPDFPRINT "RM INTERNATIONAL SERVICES, S.A. DE C.V." TO 10, LnMaxPCol SIZE 18 CENTER
						@ 020 , 010 HPDFPRINT UPPER(GsUserName) TO 15, LnMaxPCol SIZE 14 CENTER
						@ 030 , 015 HPDFPRINT UPPER(GsData1) SIZE 14 BOLD			
						@ 040 , 005 HPDFPRINT LINE TO 40,LnMaxPCol 
						@ 050 , 005 HPDFPRINT LINE TO 50,LnMaxPCol
						@ 043 , 010 HPDFPRINT "# TRACKING" SIZE 8
						@ 043 , 055 HPDFPRINT "F. ASIGNACION" SIZE 8
						@ 043 , 115 HPDFPRINT "ESTATUS" SIZE 8
						@ 043 , 170 HPDFPRINT "NÚM. DIAS" SIZE 8

					ENDIF
					// @ LnLineRow, 5 HPDFPRINT 
				 END HPDFPAGE
			END HPDFDOC
			Execute File LsDocName
		ENDIF
	RETURN
	
	PROCEDURE Exit_Peding_Customer()
		Frm_Pending_By_Customer.Release
	RETURN
	
RETURN
