﻿#INCLUDE <hmg.ch>
#INCLUDE <hbver.ch>
#INCLUDE <ord.ch>
#INCLUDE <pss.ch>

PROCEDURE All_Pending
	PRIVATE Lb_Access_Ok := .F.
	PRIVATE LsCustomerCode := "", LnCustomerID := 0
	LOAD WINDOW Frm_All_Pending
	END WINDOW
	Show_Info()
	CENTER WINDOW Frm_All_Pending
	ACTIVATE WINDOW Frm_All_Pending

	PROCEDURE Show_Info
		LsTrackingInfo := "Este proceso imprimirá TODOS tus tracking que NO estén CERRADOS."+HB_OSNewLine()+HB_OSNewLine()
		LsTrackingInfo += "Te recomiendo ampliamente que los veas y en su caso los actualices."+HB_OSNewLine()+HB_OSNewLine()
		LsTrackingInfo += "Aquellos que requieran estar en ESPERA, favor de anotar el motivo para"+HB_OSNewLine()
		LsTrackingInfo += "que la gerencia de proyectos esté enterado de esos tracking."+HB_OSNewLine()+HB_OSNewLine()
		LsTrackingInfo += "De antemano la empresa agradece el esfuerzo que haces por terminar"+HB_OSNewLine()
		LsTrackingInfo += "en tiempo tus asignaciones."
		Frm_All_Pending.Edt_Tracking_Info.Value := LsTrackingInfo
	RETURN
	
	PROCEDURE Exit_All_Pending
		Frm_All_Pending.Release
	RETURN
	
	PROCEDURE Get_All_Pending
		GsQueryRead := "EXEC USP_RM_GetAssignedTasks "+GsTrackingID
		oReadData:Open(GsQueryRead, oConnectionDB, adOpenDynamic, adLockReadOnly)
		IF oReadData:RecordCount = 0
		ELSE
			Put_Msg("Espera... creando reporte de tus tracking",14)
			CursorWait()
			Print_All_Peding()
		ENDIF
	RETURN
	
	PROCEDURE Print_All_Peding
			LsDocName := "ALL_Pending.pdf"
			SELECT HPDFDOC LsDocName PAPERLENGTH 300 PAPERWIDTH 300 LOG
			LnLineRow :=  40
			LnLineCol :=  25
			LnMaxPRow := 250
			LnMaxPCol := 210
			LnLineSpc :=   5
			LnPageNo  :=   0		
			START HPDFDOC
				 START HPDFPAGE			
		DO WHILE !oReadData:EOF()
			// MsgInfo( oReadData:Fields("CreatorDisplayName"):Value)

					IF LnPageNo = 0 .OR. LnLineRow >= LnMaxPRow
						IF LnLineRow >= LnMaxPRow
							LnLineRow := 40
						ENDIF
						
						// START HPDFPAGE
						LnPageNo++ 
						@ 010 , 010 HPDFPRINT "RM INTERNATIONAL SERVICES, S.A. DE C.V." TO 10, LnMaxPCol SIZE 18 CENTER
						@ 020 , 010 HPDFPRINT UPPER(GsUserName) TO 15, LnMaxPCol SIZE 12 CENTER
                  @ 020 , 005 HPDFPRINT Wich_Date("MDAS",DATE()) SIZE 8
                  @ 025 , 005 HPDFPRINT TIME() SIZE 8
						@ 020 , 200 HPDFPRINT ALLTRIM(STR(LnPageNo)) SIZE 8
						@ 030 , 005 HPDFPRINT LINE TO 30,LnMaxPCol 
						@ 040 , 005 HPDFPRINT LINE TO 40,LnMaxPCol
						@ 033 , 010 HPDFPRINT "# TRACKING" SIZE 8
						@ 033 , 040 HPDFPRINT "F.CREACION" SIZE 8
                  @ 033 , 065 HPDFPRINT "ASIGNADO POR" SIZE 8
                  @ 033 , 150 HPDFPRINT "PRIORIDAD" SIZE 8
						@ 033 , 195 HPDFPRINT "NUM. DIAS" SIZE 8
						// END HPDFPAGE
					ENDIF
					@ LnLineRow, 005 HPDFPRINT oReadData:Fields("ProjectCode"):Value +"-"+ ALLTRIM(STR(oReadData:Fields("IssueId"):Value)) SIZE 8
					@ LnLineRow, 040 HPDFPRINT oReadData:Fields("DateCreated"):Value SIZE 8
                    @ LnLineRow, 065 HPDFPRINT oReadData:Fields("CreatorDisplayName"):Value SIZE 8
                    @ LnLineRow, 150 HPDFPRINT oReadData:Fields("PriorityName"):Value SIZE 8
					@ LnLineRow, 195 HPDFPRINT STR(oReadData:Fields("DiasAsignado"):Value) SIZE 8
					LnLineRow := LnLineRow + LnLineSpc
                    @ LnLineRow, 010 HPDFPRINT oReadData:Fields("Título"):Value SIZE 8
                    LnLineRow := LnLineRow + LnLineSpc 
                    @ LnLineRow, 005 HPDFPRINT LINE TO LnLineRow,LnMaxPCol  
                    // LnLineRow := LnLineRow + LnLineSpc
                    
			oReadData:MOVENEXT()
			
      ENDDO 
				 // oReadData:MOVEFIRST()  
				 // LnLineRow := 100
				 // @ 100, 005 HPDFPRINT oReadData:Fields("ProjectCode"):Value 
				 // @ 100, 050 HPDFPRINT oReadData:Fields("cantidadDeTareas"):Value 
				 END HPDFPAGE

			END HPDFDOC	
		Clear_Msg()
		CursorArrow()
		Execute File LsDocName
		oReadData:Close()
	RETURN

RETURN