#INCLUDE <hmg.ch>
#INCLUDE <hbver.ch>
#INCLUDE <ord.ch>
#INCLUDE <pss.ch>

PROCEDURE FUNCTIONS
*------------------------------------------------------------------------------*
   FUNCTION Column_Value( ControlName, ParentForm , nCol )
*------------------------------------------------------------------------------*
      LOCAL aRet := {}
      If GetControlType (ControlName,ParentForm) != "GRID"
         MSGINFO( "Objeto no esta en un Grid!!")
         RETURN( aRet )
      EndIf
      nCol := IIF( nCol == NIL .OR. nCol == 0 , 1 , nCol )
      aRet := GetProperty (  ParentForm  , ControlName , 'Item' ,;
      GetProperty( ParentForm , ControlName , 'Value' ) )
   RETURN( aRet[ nCol ] )

*------------------------------------------------------------------------------*
PROCEDURE Put_Msg(PsMsg,Pn_Font_Size)
*------------------------------------------------------------------------------*
	IF Pn_Font_Size = NIL
		Pn_Font_Size := 9
	ENDIF
	SET_WAIT_WINDOW (Pn_Font_Size)
   CursorWait()
   WAIT WINDOW PsMsg NOWAIT
RETURN

*------------------------------------------------------------------------------*
PROCEDURE Clear_Msg
*------------------------------------------------------------------------------*
   WAIT CLEAR
   CursorArrow()
RETURN

*------------------------------------------------------------------------------*
FUNCTION ColumnGridValue( xObj, xForm, nCol)
*------------------------------------------------------------------------------*
   LOCAL nPos := GetProperty ( xForm , xObj , 'Value' )
   LOCAL aRet := GetProperty ( xForm , xObj , 'Item' , nPos )
RETURN aRet[nCol]

*------------------------------------------------------------------------------*
PROCEDURE Color_LostFocus()
*------------------------------------------------------------------------------*
   this.backcolor := {255, 255, 255}
Return Nil

*------------------------------------------------------------------------------*
PROCEDURE Color_Got_Focus()
*------------------------------------------------------------------------------*
     this.backcolor := {211,237,250} //YELLOW
Return Nil


*------------------------------------------------------------------------------*
FUNCTION Wich_Date(PsKindeDate,PdDate)
*------------------------------------------------------------------------------*
   IF PdDate = NIL
      NewDate:="Sin fecha"
      RETURN(NewDate)
   ENDIF
   IF PsKindeDate=NIL
      PsKindeDate:="C"
   ENDIF
   DO CASE
      CASE PsKindeDate == "S"
         NewDate:= Month_Name("S",MONTH(PdDate))+ALLTRIM(STR(DAY(PdDate)))+", "+ALLTRIM(STR(YEAR(PdDate)))
      CASE PsKindeDate == "L"
         NewDate:= Month_Name("L",MONTH(PdDate))+ALLTRIM(STR(DAY(PdDate)))+", "+ALLTRIM(STR(YEAR(PdDate)))
      CASE PsKindeDate == "ML"
         NewDate:=  Month_Name("L",MONTH(PdDate),PsKindeDate)
      CASE PsKindeDate == "MDAS"
         NewDate:= Month_Name("S",MONTH(PdDate))+" "+ALLTRIM(STR(DAY(PdDate)))+", "+ALLTRIM(STR(YEAR(PdDate)))
      CASE PsKindeDate == "MDAL"
         NewDate:= Month_Name("L",MONTH(PdDate))+" "+ALLTRIM(STR(DAY(PdDate)))+", "+ALLTRIM(STR(YEAR(PdDate)))
      CASE PsKindeDate == "DMAS"
         NewDate:= ALLTRIM(STR(DAY(PdDate)))+" "+Month_Name("S",MONTH(PdDate))+" "+ALLTRIM(STR(YEAR(PdDate)))
      CASE PsKindeDate == "DMAL"
         NewDate:= ALLTRIM(STR(DAY(PdDate)))+"/"+Month_Name("L",MONTH(PdDate))+"/"+ALLTRIM(STR(YEAR(PdDate)))
*      CASE PsKindeDate == "MDAL"
*         NewDate:= Month_Name("L",MONTH(PdDate))+" "+ALLTRIM(STR(DAY(PdDate)))+" "+ALLTRIM(STR(YEAR(PdDate)))
      CASE PsKindeDate == "SQL"
         NewDate:= "'" + ALLTRIM(STR(YEAR(PdDate)))+;
                   IIF(MONTH(PdDate)<10,'0'+ALLTRIM(STR(MONTH(PdDate))),ALLTRIM(STR(MONTH(PdDate))))+;
                   IIF(DAY(PdDate)<10,'0'+ALLTRIM(STR(DAY(PdDate))),ALLTRIM(STR(DAY(PdDate)))) +"'"
      CASE PsKindeDate == 'MDB'
         NewDate := "'" + ALLTRIM ( STR( YEAR(PdDate))) + "-" +;
                   IIF(MONTH(PdDate)<10,'0'+ALLTRIM(STR(MONTH(PdDate))),ALLTRIM(STR(MONTH(PdDate))))+"-"+;
                   IIF(DAY(PdDate)<10,'0'+ALLTRIM(STR(DAY(PdDate))),ALLTRIM(STR(DAY(PdDate)))) +"'"
      CASE PsKindeDate == 'MDB#'
         NewDate := "#" + ALLTRIM ( STR( YEAR(PdDate))) + "-" +;
                   IIF(MONTH(PdDate)<10,'0'+ALLTRIM(STR(MONTH(PdDate))),ALLTRIM(STR(MONTH(PdDate))))+"-"+;
                   IIF(DAY(PdDate)<10,'0'+ALLTRIM(STR(DAY(PdDate))),ALLTRIM(STR(DAY(PdDate)))) +"#"
      CASE PsKindeDate == "SQLite"
         NewDate:= "'" + ALLTRIM(STR(YEAR(PdDate)))+;
         IIF(MONTH(PdDate)<10,'0'+ALLTRIM(STR(MONTH(PdDate))),ALLTRIM(STR(MONTH(PdDate))))+;
         IIF(DAY(PdDate)<10,'0'+ALLTRIM(STR(DAY(PdDate))),ALLTRIM(STR(DAY(PdDate))))+"'"

   ENDCASE
RETURN (NewDate)

*------------------------------------------------------------------------------*
FUNCTION Month_Name(SwitchMes,WichMonth)
*------------------------------------------------------------------------------*
   DO CASE
      CASE UPPER(SwitchMes) = "L"
         aNomMes:= { "Enero ","Febrero ","Marzo ","Abril ","Mayo ","Junio ","Julio ","Agosto ","Septiembre ","Octubre ","Noviembre ","Diciembre " }
      CASE UPPER(SwitchMes) = "S"
         aNomMes := { "Ene.","Feb.","Mar.","Abr.","May.","Jun.","Jul.","Ago.","Sep.","Oct.","Nov.","Dic."}
   ENDCASE
RETURN (aNomMes[WichMonth])

*------------------------------------------------------------------------------*
PROCEDURE Load_My_Data()
*------------------------------------------------------------------------------*
/* 	IF ConectMe()
    GsReadQuery := "SELECT "
    GsReadQuery += "o.Name, "
    GsReadQuery += "o.Address1, "
    GsReadQuery += "o.Address2, "
    GsReadQuery += "o.PostalCode, "
    GsReadQuery += "o.CodeArea, "
    GsReadQuery += "o.PhoneOffice, "
    GsReadQuery += "IFNULL(o.FiscalId,''), "
    GsReadQuery += "o.EMail, "
    GsReadQuery += "o.URL, "
    GsReadQuery += "LogoPath, "
    GsReadQuery += "IFNULL(s.Name,''), "
    GsReadQuery += "IFNULL(c.Name,''), "
    GsReadQuery += "IFNULL(o.SalesSerie,''), "
    GsReadQuery += "IFNULL(o.TaxPercen, 0) "
    GsReadQuery += "FROM Owner AS o "
    GsReadQuery += "LEFT JOIN State AS s ON o.StateId = s.StateId "
    GsReadQuery += "LEFT JOIN City AS c ON o.CityId = c.CityId"
		//      aTableOwner := ReadData (GsReadQuery)
    IF TryToLock("LoadMyData")
      aGetOwnerData := ReadData (GsReadQuery)
      DeleteFileLock()
    ELSE
      RETURN
    ENDIF
    
		IF LEN (aGetOwnerData) = 0
			GbIsNew := .T.
			MsgExclamation ("No existe datos de la empresa, eso puede casuar errores.","Capture los datos.")
      GsMyName := "EMPRESA INVALIDA"
    ELSE
			GsMyName     := ALLTRIM (aGetOwnerData[1,1])
			GsMyAddress1 := ALLTRIM (aGetOwnerData[1,2])
			GsMyAddress2 := ALLTRIM (aGetOwnerData[1,3])
			GsMyZipCode := ALLTRIM (aGetOwnerData[1,4])
			GsMyAreaCode  := ALLTRIM (aGetOwnerData[1,5])
			GsMyPhone := ALLTRIM (aGetOwnerData[1,6])
			GsMyFiscalData    := ALLTRIM (aGetOwnerData[1,7])
			GsMyEmail := ALLTRIM (aGetOwnerData[1,8])
			GsMyURL:= ALLTRIM (aGetOwnerData[1,9])
			GsMyLogo:= ALLTRIM (aGetOwnerData[1,10])
			GsMyStateName:= ALLTRIM (aGetOwnerData[1,11])
			GsMyCityName := ALLTRIM (aGetOwnerData[1,12])
			GsMySalesSerie := ALLTRIM (aGetOwnerData[1,13])
			GnGlobalTaxPercen := ALLTRIM (aGetOwnerData[1,14])
			ENDIF

	ENDIF
 */RETURN

*------------------------------------------------------------------------------*
 FUNCTION C2SQL(Value)
*------------------------------------------------------------------------------*
   LOCAL cFormatoDaData := set(4)
   LOCAL cValue := ""

   DO CASE
      CASE Valtype(Value) == "N"
         cValue := AllTrim(Str(Value))

      CASE Valtype(Value) == "D"
         IF !Empty(Value)
            cdate := dtos(Value)
            cValue := "'" + IIF(DAY(Value)<10,'0'+ALLTRIM(STR(DAY(Value))),ALLTRIM(STR(DAY(Value))))+"/"+;
                     IIF(MONTH(Value)<10,'0'+ALLTRIM(STR(MONTH(Value))),ALLTRIM(STR(MONTH(Value))))+"/"+;
                     ALLTRIM(STR(YEAR(Value))) +"'"
           // cValue := "'"+substr(cDate,1,4)+"-"+substr(cDate,5,2)+"-"+substr(cDate,7,2)+"'"
         ELSE
            cValue := "''"
         ENDIF

      CASE Valtype(Value) $ "CM"
         IF Empty( Value)
            cValue="''"
         ELSE
            cValue := "'" + ALLTRIM (Value) + "'"
         ENDIF

      CASE Valtype(Value) == "L"
         cValue := AllTrim(Str(iif(Value == .F., 0, 1)))

      OTHERWISE
         cValue := "''"       // NOTE: Here we lose values we cannot convert
   ENDCASE
return(cValue)

*------------------------------------------------------------------------------*
PROCEDURE SET_WAIT_WINDOW (Pn_Font_Size)
*------------------------------------------------------------------------------*

*-------------------------  Normal ----------------------------------*
/*

	DECLARE WINDOW _HMG_CHILDWAITWINDOW 
	//defaults for WAIT WINDOW
	_HMG_CHILDWAITWINDOW.HEIGHT := 040
	_HMG_CHILDWAITWINDOW.WIDTH  := 500
	_HMG_CHILDWAITWINDOW.MESSAGE.HEIGHT := 025
	_HMG_CHILDWAITWINDOW.MESSAGE.WIDTH  := 480
	_HMG_CHILDWAITWINDOW.CENTER

*/
*-------------------------------  Arreglado -------------------------------------*

	DECLARE WINDOW _HMG_CHILDWAITWINDOW 
	_HMG_CHILDWAITWINDOW.HEIGHT := 080	       		//double height of window                                 doble altura de la ventana
	_HMG_CHILDWAITWINDOW.WIDTH  := 800	       		//new width of window                                     nuevo ancho de ventana 
	_HMG_CHILDWAITWINDOW.MESSAGE.HEIGHT := 050     //double message height: 2 lines of message are possible   altura del mensaje doble: son posibles 2 lneas de mensaje
	_HMG_CHILDWAITWINDOW.MESSAGE.WIDTH  := 760     //new width of message: wider message is possible          nuevo ancho del mensaje: es posible un mensaje ms amplio
//	_HMG_CHILDWAITWINDOW.CENTER

*----------------------------- New FONT & COLOR --------------------------*
	_HMG_CHILDWAITWINDOW.MESSAGE.BACKCOLOR  := {096,173,174} 
	_HMG_CHILDWAITWINDOW.MESSAGE.FONTNAME   := "Arial"
	_HMG_CHILDWAITWINDOW.MESSAGE.FONTSIZE   :=  Pn_Font_Size		// 9
	_HMG_CHILDWAITWINDOW.MESSAGE.FONTBOLD   := .T.
	_HMG_CHILDWAITWINDOW.MESSAGE.FONTITALIC := .T.
RETURN

/*
*-------------------------------------------------------------*
function setMessage( cMessage, nItem )
*-------------------------------------------------------------*
if cMessage==Nil
  setProperty( "F_Main", "StatusBar", "Item", 1, " " )
  setProperty( "F_Main", "StatusBar", "Item", 2, " " )
else
  setProperty( "F_Main", "StatusBar", "Item", nItem, " "+cMessage )
endif
return nil
*/